import{s as S,f as A,n as H,o as D}from"../chunks/scheduler.924d507e.js";import{S as R,i as q,g as c,s as m,r as G,A as I,h as f,f as t,c as u,j as k,u as j,x as E,k as p,y as z,a as r,v as U,d as V,t as B,w as J}from"../chunks/index.0ece89e8.js";import{H as K}from"../chunks/Heading.c9bff43c.js";function N(F){let s,w,g,b,l,v,n,$="🤗 PEFT (Parameter-Efficient Fine-Tuning) is a library for efficiently adapting large pretrained models to various downstream applications without fine-tuning all of a model’s parameters because it is prohibitively costly. PEFT methods only fine-tune a small number of (extra) model parameters - significantly decreasing computational and storage costs - while yielding performance comparable to a fully fine-tuned model. This makes it more accessible to train and store large language models (LLMs) on consumer hardware.",x,d,C="PEFT is integrated with the Transformers, Diffusers, and Accelerate libraries to provide a faster and easier way to load, train, and use large models for inference.",y,i,L='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="quicktour"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Get started</div> <p class="text-gray-700">Start here if you&#39;re new to 🤗 PEFT to get an overview of the library&#39;s main features, and how to train a model with a PEFT method.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./task_guides/image_classification_lora"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides demonstrating how to apply various PEFT methods across different types of tasks like image classification, causal language modeling, automatic speech recognition, and more. Learn how to use 🤗 PEFT with the DeepSpeed and Fully Sharded Data Parallel scripts.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual_guides/lora"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">Get a better theoretical understanding of how LoRA and various soft prompting methods help reduce the number of trainable parameters to make training more efficient.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./package_reference/config"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how 🤗 PEFT classes and methods work.</p></a></div>',_,o,M,P,h,T;return l=new K({props:{title:"PEFT",local:"peft",headingTag:"h1"}}),{c(){s=c("meta"),w=m(),g=c("p"),b=m(),G(l.$$.fragment),v=m(),n=c("p"),n.textContent=$,x=m(),d=c("p"),d.textContent=C,y=m(),i=c("div"),i.innerHTML=L,_=m(),o=c("iframe"),P=m(),h=c("p"),this.h()},l(e){const a=I("svelte-u9bgzb",document.head);s=f(a,"META",{name:!0,content:!0}),a.forEach(t),w=u(e),g=f(e,"P",{}),k(g).forEach(t),b=u(e),j(l.$$.fragment,e),v=u(e),n=f(e,"P",{"data-svelte-h":!0}),E(n)!=="svelte-cehkfa"&&(n.textContent=$),x=u(e),d=f(e,"P",{"data-svelte-h":!0}),E(d)!=="svelte-n0kp74"&&(d.textContent=C),y=u(e),i=f(e,"DIV",{class:!0,"data-svelte-h":!0}),E(i)!=="svelte-1ffe0tg"&&(i.innerHTML=L),_=u(e),o=f(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),k(o).forEach(t),P=u(e),h=f(e,"P",{}),k(h).forEach(t),this.h()},h(){p(s,"name","hf:doc:metadata"),p(s,"content",O),p(i,"class","mt-10"),A(o.src,M="https://stevhliu-peft-methods.hf.space")||p(o,"src",M),p(o,"frameborder","0"),p(o,"width","850"),p(o,"height","620")},m(e,a){z(document.head,s),r(e,w,a),r(e,g,a),r(e,b,a),U(l,e,a),r(e,v,a),r(e,n,a),r(e,x,a),r(e,d,a),r(e,y,a),r(e,i,a),r(e,_,a),r(e,o,a),r(e,P,a),r(e,h,a),T=!0},p:H,i(e){T||(V(l.$$.fragment,e),T=!0)},o(e){B(l.$$.fragment,e),T=!1},d(e){e&&(t(w),t(g),t(b),t(v),t(n),t(x),t(d),t(y),t(i),t(_),t(o),t(P),t(h)),t(s),J(l,e)}}}const O='{"title":"PEFT","local":"peft","sections":[],"depth":1}';function Q(F){return D(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Z extends R{constructor(s){super(),q(this,s,Q,N,S,{})}}export{Z as component};
